> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-sv-bsv/bsv_utxoupdatepsbt.md).

# utxoupdatepsbt - Bitcoin SV

Example code for the utxoupdatepsbt json-rpc method. Сomplete guide on how to use utxoupdatepsbt json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`psbt` - string, required

A base64 string of a PSBT

`descriptors` - json array, optional

An array of either strings or objects

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "utxoupdatepsbt",
"params": ["psbt", null],
"id": "getblock.io"}'
```
